Bug 733083 - udisks-lvm-pv-export avc for creating "lvm" lvm_t / etc_t
Summary: udisks-lvm-pv-export avc for creating "lvm" lvm_t / etc_t
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy-targeted
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-24 17:17 UTC by Mads Kiilerich
Modified: 2011-09-09 17:14 UTC (History)
2 users (show)

Fixed In Version: udisks-1.0.4-1.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-09 17:14:41 UTC


Attachments (Terms of Use)

Description Mads Kiilerich 2011-08-24 17:17:22 UTC
early in boot I see

[   14.383254] type=1400 audit(1314194721.539:4): avc:  denied  { create } for  pid=756 comm="udisks-lvm-pv-e" name="lvm" scontext=system_u:system_r:lvm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:etc_t:s0 tclass=dir

That seems plausible, but I don't know ...

selinux-policy-targeted-3.10.0-18.fc16.noarch
dracut-013-4.fc16.noarch

See also Bug 733046

Comment 1 Miroslav Grepl 2011-08-25 10:59:57 UTC
So this relates with livecd image also.

Comment 2 David Zeuthen 2011-08-26 16:15:18 UTC
Note: udisks version 1.0.4 (just built) actually doesn't have the udisks-lvm-pv-export tool (for other reasons)

Comment 3 Fedora Update System 2011-08-26 16:17:05 UTC
udisks-1.0.4-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/udisks-1.0.4-1.fc16

Comment 4 Fedora Update System 2011-08-28 05:46:37 UTC
Package udisks-1.0.4-1.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing udisks-1.0.4-1.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/udisks-1.0.4-1.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-09-09 17:14:31 UTC
udisks-1.0.4-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.